package ratRace.controller;

import ratRace.model.Model;
import ratRace.mvcInterfaces.ViewI;
import ratRace.mvcInterfaces.ViewListenerI;

/** The Controller sends events to the model.
 * In general, the controllers might also control the view, but, for this simple
 * application, this wasn't necessary.  Also, in general, the controller might observe
 * the model. However this was not needed in this simple application.
 * 
 * @author Theodore Norvell 
 * */
public class Controller implements ViewListenerI {
	
	//private ViewI view ;
	private Model model ;	
	
	
	public Controller( Model model, ViewI view ) {
		this.model = model ;
		//this.view = view ;
		view.addListener(this) ;
	}

	@Override
	public void mouseMovedTo(double i, double j) {
		model.pointRatAt(i, j) ;
	}
	
	@Override
	public void pulse() {
		//System.out.println("Controller.pulse sends to Model" ) ;
		model.pulse() ;
	}

	@Override
	public void go() {
		model.setPaused( false );
	}

	@Override
	public void pause() {
		model.setPaused( true );
	}
}
